/* 
*
*  ProLinga-Repository
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Repository.
*
*  ProLinga-Repository is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Repository is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Repository.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __REP_MAIN_HPP
#define __REP_MAIN_HPP

/* Environment */
#define REP_SYSTEM_NAME		"system"


/* XML Document layout */
#define XML_VERSION		"1.0"
#define REP_DOC_VERSION		"1.0"
#define ROOT_ELEM		"ProLinga"
#define OBJECT			"Object"
#define REPOSITORY_OBJECT	"RepositoryObject"
#define OBJECT_PATH		"/ProLinga/RepositoryObject/"

#define	PARSE_FILE		0
#define PARSE_MEMORY		1

/* Logging */
#define LOG_LINE_LENGTH		255

#endif /* __REP_MAIN_HPP */

