/* 
*
*  ProLinga-Repository
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Repository.
*
*  ProLinga-Repository is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Repository is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Repository.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __REP_ERROR_HPP
#define __REP_ERROR_HPP

char errorRepSeverity[3][10] = {"Ok", "Warning", "Error"};

struct errorRep
{       int errorNo;
	int severity;
	char description[80];
} errorTable10000[] = {	
			{ 10000, 0, "No Error" },
			{ 10001, 2, "Error parsing document" },
			{ 10002, 2, "Empty document" },
			{ 10003, 2, "Invalid root element" },
			{ 10004, 2, "Invalid repository XML file" },
			{ 10005, 1, "No document match" },
			{ 10006, 1, "Document not found" },
			{ 10007, 1, "Document already deleted" },
			{ 10008, 2, "Can not parse return string" }
};


#endif  /* __REP_ERROR_HPP */

